Bug 893875 - Unexpected wifi icon behavior in xfce spin
Summary: Unexpected wifi icon behavior in xfce spin
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 18
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-10 05:26 UTC by Bob Whitinger
Modified: 2014-02-05 14:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 14:39:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Bob Whitinger 2013-01-10 05:26:13 UTC
Description of problem:

Unexpected behavior of the wifi icon.  The first wifi connection results in a proper icon display.  If you disconnect and reconnect, the wifi icon now shows zero bars signal strength.


Version-Release number of selected component (if applicable):

Problem observed in f18-RC4 XFCE-Live.  
NetworkManager-0.9.7.0-12.git20121004.fc18.x86_64

Note: this problem does not occur in the default f18-RC4-Live 

How reproducible:

The problem is intermittent.  Out of 10 tries, 2 resulted in proper icon display and 8 resulted in incorrect icon displays.

Steps to Reproduce:
1. boot up with f18-RC4 XFCE-Live
2. connect to a nearby wifi access point and note that a proper connection icon is displayed
3. disconnect from wifi
4. connect again to the same wifi access point 
  
Actual results:

The reconnect succeeds but the icon displays zero bars of signal strength.

Expected results:

Correct signal strength should be indicated after all reconnections.

Additional info:

Test machine was an Asus UX31A.  
cat /proc/net/wireless shows strong signal in both cases.

Comment 1 Jirka Klimes 2013-01-10 09:26:37 UTC
Would you specify some details:
1. You say the icon is just white bars instead of blue bars indicating some signal, right?
2. That would indicate incorrect handling with icons or more probably an issue with signal strength within NM or driver.
Can you get output of these commands:
$ nmcli -f general dev list iface wlan0
$ nmcli dev wifi list
3. If you run a second nm-applet (from a terminal), what does its icon look like?

Comment 2 Bob Whitinger 2013-01-10 14:20:52 UTC
1. Yes, the normal case is the display of an icon with an appropriate number of blue bars.  The abnormal case is the display of an icon with all bars showing white.

2. In both the normal and abnormal cases, the wifi connection is successful and the signal strength reported by the kernel in /proc/net/wireless is strong.

[root@robert ~]# nmcli -f general dev list iface wlan0
GENERAL.DEVICE:                         wlan0
GENERAL.TYPE:                           802-11-wireless
GENERAL.VENDOR:                         Intel Corporation
GENERAL.PRODUCT:                        Centrino Advanced-N 6235
GENERAL.DRIVER:                         iwlwifi
GENERAL.DRIVER-VERSION:                 3.6.10-4.fc18.x86_64
GENERAL.FIRMWARE-VERSION:               18.168.6.1
GENERAL.HWADDR:                         C4:85:08:2B:3E:FF
GENERAL.STATE:                          100 (connected)
GENERAL.REASON:                         0 (No reason given)
GENERAL.UDI:                            /sys/devices/pci0000:00/0000:00:1c.1/0000:02:00.0/net/wlan0
GENERAL.IP-IFACE:                       wlan0
GENERAL.NM-MANAGED:                     yes
GENERAL.AUTOCONNECT:                    yes
GENERAL.FIRMWARE-MISSING:               no
GENERAL.CONNECTION:                     /org/freedesktop/NetworkManager/ActiveConnection/2
[root@robert ~]# nmcli dev wifi list
SSID                              BSSID               MODE             FREQ       RATE       SIGNAL   SECURITY   ACTIVE  
'tri5_a'                          10:BF:48:52:F3:6C   Infrastructure   5745 MHz   54 MB/s    100      WPA2       no      
'tri5'                            10:BF:48:52:F3:68   Infrastructure   2437 MHz   54 MB/s    93       WPA2       yes     

3. If we run a second nm-applet instance, we see two cases:

Case 1:  The result is no second icon appearing:

[root@robert ~]# nm-applet

** (nm-applet:2466): WARNING **: Failed to initialize D-Bus: Failed to connect to socket /tmp/dbus-iAwC2W1Jrw: Connection refused



Case 2:  The result is a second icon appears with all blue bars.

[root@robert ~]# nm-applet
** Message: applet now removed from the notification area
** Message: applet now embedded in the notification area

** (nm-applet:2436): WARNING **: Failed to register as an agent: (32) Session not found

Comment 3 Fedora End Of Life 2013-12-21 10:17:53 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2014-02-05 14:39:13 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.